<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Blook
 */

get_header();
?>
	<?php do_action( 'blook_action_get_breadcrumb' ); ?>
	<div class="site-content">
		<main id="primary" class="site-main blook-site-sticky">

			<?php if ( have_posts() ) : ?>

				<header class="page-header">
						<?php
						the_archive_title( '<h1 class="page-title blook-section-title-style-1"><span>', '</span></h1>' );
						the_archive_description( '<div class="archive-description">', '</div>' );
						?>
				</header><!-- .page-header -->
				
				<div class="blook-archive-layout-<?php echo esc_attr(blook_get_option('select_archive_layout'));?>">
					<?php
						/* Start the Loop */
						while ( have_posts() ) :
							the_post();
								/*
								* Include the Post-Type-specific template for the content.
								* If you want to override this in a child theme, then include a file
								* called content-___.php (where ___ is the Post Type name) and that will be used instead.
								*/
							get_template_part( 'template-parts/content');

						endwhile; 
					?>
				</div>

				<?php do_action('blook_action_posts_navigation');

			else :

				get_template_part( 'template-parts/content', 'none' );

			endif;
		?>
		</main><!-- #main -->
		<?php get_sidebar(); ?>
	</div>
<?php
get_footer();
