<?php
/**
 * The template for displaying home page.
 * @package Blook
 */

get_header();?>
<?php if ( is_front_page() && ! is_page_template( 'page-templates/blook-page-builder.php' ) ) { ?>
    <?php if ( is_paged()) { ?>
    <?php } else {

        $blook_default = blook_get_default_theme_options();
        $home_section_reorder_value = blook_get_option( 'home_section_reorder_val', $blook_default['home_section_reorder_val'] );
        $home_section_reorder_value = explode(",",$home_section_reorder_value );
        
        $paged_active = false;
        if ( !is_paged() ) {
            $paged_active = true;
        }

        foreach( $home_section_reorder_value as $home_section_reorder ){


            switch( $home_section_reorder ){

                case 'conponent_1_setting_option':

                    if( $paged_active ){
                        do_action( 'blook_action_front_page_component_1' );
                    }

                break;

                case 'conponent_2_setting_option':

                    if( $paged_active ){
                        do_action( 'blook_action_front_page_component_2' );
                    }

                break;


                case 'conponent_3_setting_option':

                    if( $paged_active ){
                        do_action( 'blook_action_front_page_component_3' );
                    }

                break;


                case 'conponent_4_setting_option':

                    if( $paged_active ){
                        do_action( 'blook_action_front_page_component_4' );
                    }

                break;


                case 'conponent_5_setting_option':

                    if( $paged_active ){
                        do_action( 'blook_action_front_page_component_5' );
                    }

                break;

            }
        }
    } ?>

        <?php if ('posts' == get_option('show_on_front')) { ?>
            <?php if (1 == blook_get_option('show_latest_post_content_on_homepage')) { ?>
                <div class="site-content blook-section-border">
                    <main id="primary" class="site-main">

                        <?php if ( have_posts() ) : ?>

                            <div class="blook-archive-layout-<?php echo esc_attr(blook_get_option('select_archive_layout'));?>">
                                <?php
                                    /* Start the Loop */
                                    while ( have_posts() ) :
                                        the_post();
                                            /*
                                            * Include the Post-Type-specific template for the content.
                                            * If you want to override this in a child theme, then include a file
                                            * called content-___.php (where ___ is the Post Type name) and that will be used instead.
                                            */
                                        get_template_part( 'template-parts/content');

                                    endwhile; 
                                ?>
                            </div>

                                            
                            <?php do_action('blook_action_posts_navigation');

                        else :

                            get_template_part( 'template-parts/content', 'none' );

                        endif;
                    ?>
                    </main><!-- #main -->
                    <?php get_sidebar(); ?>
                </div>
            <?php } ?>
        <?php } else { ?>
            <?php if (1 == blook_get_option('show_selected_page_content_on_homepage')) { ?>
                <div class="site-content blook-section-border">
                    <main id="primary" class="site-main">

                        <?php
                        while ( have_posts() ) :
                            the_post();

                            get_template_part( 'template-parts/content', 'page' );

                            // If comments are open or we have at least one comment, load up the comment template.
                            if ( comments_open() || get_comments_number() ) :
                                comments_template();
                            endif;

                        endwhile; // End of the loop.
                        ?>
                    </main><!-- #main -->
                    <?php get_sidebar(); ?>
                </div>
            <?php } ?>
        <?php } ?>

<?php } else { ?>
        <?php
        while ( have_posts() ) :
            the_post();

            the_content();
        endwhile;
        ?>

<?php }?>

<?php get_footer();