<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Blook
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="profile" href="https://gmpg.org/xfn/11">
		<?php wp_head(); ?>
	</head>
	<body <?php body_class("dark-mode"); ?>>
	<?php wp_body_open(); ?>
	
	<div id="page" class="site">
		<a class="skip-link screen-reader-text" href="#skip-link-content-start"><?php esc_html_e( 'Skip to content', 'blook' ); ?></a>
		<!-- Body overlay -->
		<div class="blook-body-overlay" id="body-overlay"></div>
		
		<!-- Scroll to top -->
		<div class="blook-scroll-top" id="scroll-top">
			<span class="blook-icon"><i class="ion ion-md-arrow-up"></i></span>
			<div class="circular-progress">
				<svg 
					xmlns='http://www.w3.org/2000/svg'
					viewBox='0 0 100 100'
					aria-labelledby='title' role='graphic'>
					<circle cx="50" cy="50" r="40" ></circle>
					<circle cx="50" cy="50" r="40" id='progress-indicator'></circle>
				</svg>
				<span class="blook-progress-percent"></span>
			</div>
		</div>
		
		<!-- Mobile menu -->
		<div class="blook-mobile-menu-section" id="mobile-menu">
			<div class="blook-close-icon-section"><button  class="blook-close-icon-style-2" id="mobile-menu-close"><i class="ion ion-md-close"></i></button></div>
			<div class="mobile-menu-container"></div>
		</div>


		<!-- PRELOADER -->
		<?php if (blook_get_option( 'ed_preloader' ) == 1 ) { ?>
			<div id="preloader" class="blook-preloader">
				<div class="blook-circular-preloader" id="status">
					<span class="circle-1"></span>
					<span class="circle-2"></span>
					<span class="circle-3"></span>
					<span class="circle-4"></span>
				</div>
			</div>	
		<?php } ?>
		
		<?php get_template_part( 'inc/components/header', 'layout' ); ?>

		<!-- Offcanvas -->
		<?php if ( is_active_sidebar( 'off-canvas-sidebar' ) ) { ?>
			<div class="blook-offcanvas-content-section" id="offcanvas-content">
				<div class="blook-close-icon-section" ><button class="blook-close-icon-style-2" id="offcanvas-close"><i class="ion ion-md-close"></i></button></div>
				<?php dynamic_sidebar( 'off-canvas-sidebar' ); ?>
			</div>
		<?php } ?>
		<!-- content-start for skip link -->
		<div id="skip-link-content-start">
			
