<?php
/**
* Implement theme breaking news section.
 *
 * @package Blook
 */

if (!function_exists('blook_breaking_news_section')):
    /**
     * Breaking News Section
     *
     * @since Blook 1.0.0
     *
     */
    function blook_breaking_news_section()
    { 
        if (1 != blook_get_option('enable_breaking_news_section')) {
            return null;
        }
        ?>
        <div class="blook-breaking-news-slider-section blook-active" id="breaking-news">
            <div class="blook-wrapper clearfix">
             
                <h2 class="blook-section-title"><?php echo esc_html(blook_get_option('blook_breaking_news_title')); ?></h2>

                <div class="blook-breaking-news-slider">
                    <?php  
                        $post_category = esc_attr(blook_get_option('select_category_for_breaking_news_section'));
                        $number_of_post = absint(blook_get_option('number_of_post_on_breaking_news_section'));
                        $image_url = "";
                        $get_posts = blook_get_post_query($number_of_post, $post_category);
                        if ($get_posts->have_posts()) :
                            while ($get_posts->have_posts()) : $get_posts->the_post();
                                if (has_post_thumbnail()) {
                                    $image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'thumbnail');
                                    $image_url = $image['0'];
                                }
                            ?>
                            <div class="blook-breaking-news-post">
                                <div class="blook-image-section">
                                    <a href="<?php the_permalink(); ?>"></a>
                                    <div class="blook-image bg-image" style="background-image:url('<?php echo esc_url($image_url); ?>')"></div>
                                </div>
                                <div class="blook-desc">
                                    <h3 class="blook-post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                </div>
                            </div>
                            <?php

                            endwhile;
                        endif;
                        wp_reset_postdata();
                    ?>
                </div><!--/blook-breaking-news-slider-->
                <div class="blook-close">
                    <button class="blook-btn blook-close-icon-style-2" id="breaking-news-close"><i class="ion ion-md-close"></i></button>
                </div>

            </div><!--/blook-wrapper-->
        </div><!--/blook-breaking-news-slider-->
        <div class="blook-breaking-news-open" id="breaking-news-open-content">
            <button class="blook-btn blook-close-icon-style-2" id="breaking-news-open"><i class="ion ion-md-add"></i></button>
        </div>
    <?php }
endif;

add_action('blook_action_breaking_news', 'blook_breaking_news_section', 10);
