<?php
/**
 * The color and typo for our theme
 *
 * This is the template that displays all css related to color and typography
 *
 *
 * @package Blook
 */

if (!function_exists('blook_color_typo_css')) :
    /**
     * Do action theme custom CSS.
     *
     * @since 1.0.0
     */
    function blook_color_typo_css()
    {
    	// define variable for color and font to use
        ?>
        <style type="text/css">


            /****************** FONT FAMILY *******************/
            .body{
                font-family: "Josefin Sans";
            }
            h1,h2,h3,h4,h5,h6,
            .widget_recent_entries a,
            .blook-single-next-post p{
                font-family: 'Libre Franklin';
            }
            /****************** PRIMARY COLOR *******************/
            body a:hover,
            body a:focus-within,
            body.dark-mode a:hover,
            body.dark-mode a:focus-within,
            p a,
            .blook-scroll-top,
            .blook-tooltip,
            .menu-description,
            body .blook-btn-primary:hover,
            .block-categories-primary-color a,
            .block-categories-primary-color a:visited,
            body .block-categories-secondary-color a:hover,
            .tags-links a:before,
            .blook-tags a:before,
            .comments-area .comment-list .comment-meta,
            .blook-single-post .entry-footer .edit-link:before,
            .blook-single-banner-section a:hover,
            .blook-single-next-post .blook-meta-tag,
            .widget.widget_calendar a,
            .widget.widget_calendar a:visited,
            .widget.widget_recent_entries .post-date,
            blockquote.wp-block-quote cite,
            blockquote.wp-block-quote.is-large cite,
            blockquote.wp-block-quote.is-style-large cite,
            .wp-block-pullquote blockquote cite,
            .comments-area .comment-respond .comment-form .logged-in-as a,
            .comments-area .comment-list li .comment-reply-link,
            .blook-post-nav .blook-arrow-section,
            body .blook-post-style-3 a:hover,
            .blook-trending-post-section button--{
                color: #f42548;
            }
            .blook-btn-primary,
            .blook-close-icon-style-1,
            .blook-close-icon-style-2,
            .blook-categories-with-bg.blook-categories-primary-bg a,
            .slick-slider .slick-arrow,
            .tags-links .blook-tag-caption,
            .blook-pagination-numeric .page-numbers.current,
            /* .blook-tags .blook-tag-caption, */
            .comments-area  #respond #submit,
            .blook-single-post h1:after,
            .blook-single-post h2:after,
            .blook-single-post h3:after,
            .blook-single-post h4:after,
            .blook-single-post h5:after,
            .blook-single-post h6:after,
            .widget figure a:before,
            .blook-single-post figure a:before,
            .blook-single-next-post .blook-post-nav-next:after,
            .widget .tagcloud a,
            .comments-area .comment-respond .comment-form .logged-in-as a:hover,
            .comments-area .comment-list li .comment-reply-link:hover,
            .comments-area .comment-respond .comment-form .logged-in-as a:focus-within,
            .comments-area .comment-list li .comment-reply-link:focus-within{
                background-color: #f42548;
            }
            .blook-btn-primary,
            .comments-area  #respond #submit,
            .widget figure a:before,
            .blook-single-post figure a:before,
            .comments-area .comment-respond .comment-form .logged-in-as a,
            .comments-area .comment-list li .comment-reply-link{
                border-color: #f42548;
            }
            body .blook-image-border-hover-effect:after,
            body.dark-mode .blook-image-border-hover-effect:after,
            body .blook-image-border-top-hover-effect:after,
            body.dark-mode .blook-image-border-top-hover-effect:after,
            body .tags-links .blook-tag-caption:after{
                border-top-color: #f42548;
            }
           
            blockquote.wp-block-quote,
            blockquote.wp-block-quote.is-large,
            blockquote.wp-block-quote.is-style-large,
            .wp-block-pullquote blockquote,
            .blook-breaking-news-slider-section .blook-section-title{
                background: linear-gradient(90deg, rgba(244, 37, 72, 0.7) 0%, rgba(244, 37, 72, 0.9) 45%, #f42548 75%);
            }
            
            blockquote.wp-block-quote p:after,
            blockquote.wp-block-quote p:before,
            blockquote.wp-block-quote.is-large p:after,
            blockquote.wp-block-quote.is-large p:before,
            blockquote.wp-block-quote.is-style-large p:after,
            blockquote.wp-block-quote.is-style-large p:before,
            .wp-block-pullquote blockquote p:after,
            .wp-block-pullquote blockquote:before{
                background: linear-gradient(rgb(244,37,72), rgba(244,37,72,0.1));
            }
            .circular-progress circle:nth-of-type(2){
                stroke: #f42548;
            }
            /********************PRIMARY BG TEXT COLOR************/
            .blook-btn-primary,
            .blook-btn-primary:visited,
            .blook-close-icon-style-1,
            .blook-close-icon-style-1:visited,
            .blook-close-icon-style-2,
            .blook-close-icon-style-2:visited,
            .blook-categories-with-bg.blook-categories-primary-bg a,
            .blook-categories-with-bg.blook-categories-primary-bg a:hover,
            .tags-links .blook-tag-caption,
            .blook-pagination-numeric .current,
            /* .blook-tags .blook-tag-caption, */
            .comments-area  #respond #submit,
            .comments-area  #respond #submit:visited,
            .widget figure a:before,
            .blook-single-post figure a:before,
            .widget .tagcloud a,
            .widget .tagcloud a:visited,
            .comments-area .comment-respond .comment-form .logged-in-as a:hover,
            .comments-area .comment-list li .comment-reply-link:hover,
            .comments-area .comment-respond .comment-form .logged-in-as a:focus-within,
            .comments-area .comment-list li .comment-reply-link:focus-within,
            .blook-breaking-news-slider-section .blook-section-title{
                color: #fff;
            }
            .blook-slick-angle-right .slick-arrow:before,
            .blook-slick-chevron-right .slick-arrow:before,
            .blook-slick-arrow-right .slick-arrow:before{
                border-color: #fff;
            }
           

            /*******************SECONDARY COLOR******************/
            .blook-404 .page-title,
            .blook-read-more-btn a,
            .blook-read-more-btn a:visited,
            .blook-section-title-style-1,
            body .block-categories-primary-color a:hover,
            .block-categories-secondary-color a,
            .block-categories-secondary-color a:visited,
            .desktop ul.blook-nav-menu > li .sub-menu a:hover,
            .desktop div.blook-nav-menu > ul > li .children a:hover,
            .desktop ul.blook-nav-menu > li .sub-menu a:focus-within,
            .desktop div.blook-nav-menu > ul > li .children a:focus-within,
            .blook-navbar-section .blook-site-feature .blook-feature:not(.blook-trending) button{
                color: #a56e1c;
            }
            .blook-circular-preloader .circle-2,
            .blook-circular-preloader .circle-4,
            .blook-section-title-style-1>span:after,
            .blook-tags .blook-tag-caption,
            .blook-counter,
            .blook-read-more-btn a:hover,
            .blook-categories-with-bg.blook-categories-secondary-bg a,
            .widget-title:after,
            .blook-title-style-1:after,
            .blook-dashed:after,
            .mc4wp-form input[type=submit],
            .blook-topbar .blook-date-section,
            div.blook-top-menu  ul a:before,
            ul.blook-top-menu a:before,
            .blook-search-field button,
            .blook-navbar-section,
            .site-footer,
            .dark-mode .blook-navbar-section .blook-site-feature button:after{
                background-color: #a56e1c;
            }
            .blook-read-more-btn a,
            .mc4wp-form input[type=submit]{
                border-color: #a56e1c;
            }
         
            body .blook-tags .blook-tag-caption:after{
                border-left-color:  #a56e1c;
            }
           
            /********************SECONDARY BG TEXT COLOR************/
            .blook-navbar-section .blook-site-feature .blook-trending button:hover,
            .blook-navbar-section .blook-site-feature .blook-trending button:focus-within,
            .blook-tags .blook-tag-caption,
            .blook-counter,
            .blook-read-more-btn a:hover,
            .blook-categories-with-bg.blook-categories-secondary-bg a,
            .blook-categories-with-bg.blook-categories-secondary-bg a:hover,
            .mc4wp-form input[type=submit],
            .blook-topbar .blook-date-section,
            .blook-search-field button,
            .blook-navbar-section,
            .blook-navbar-section a,
            .site-footer,
            .site-footer a{
                color: #fff;
            }
            .blook-footer-menu-section ul a:before{
                background-color: #fff;
            }
        </style>

    <?php }

endif;