<?php 
/**
 * Custom Footer Hooks.
 *
 * @package Blook
 */

if( !function_exists('blook_footer_content_widget') ):

    function blook_footer_content_widget(){
        if( is_active_sidebar('blook-footer-widget-0') || is_active_sidebar('blook-footer-widget-1') || is_active_sidebar('blook-footer-widget-2') ): ?>
            <div class="blook-footer-widget bg-image" style="background-image:url(<?php echo esc_url(blook_get_option('footer_bg_image')); ?>">
                <div class="blook-container">
                    <div class="blook-row">
                        <?php if (is_active_sidebar('blook-footer-widget-0')): ?>
                            <div class="blook-col blook-col-xs-6 blook-col-md-4">
                                <?php dynamic_sidebar('blook-footer-widget-0'); ?>
                            </div>
                        <?php endif; ?>
                        <?php if (is_active_sidebar('blook-footer-widget-1') ) : ?>
                            <div class="blook-col blook-col-xs-6 blook-col-md-4">
                                <?php dynamic_sidebar('blook-footer-widget-1'); ?>
                            </div>
                        <?php endif; ?>
                        <?php if (is_active_sidebar('blook-footer-widget-2')) : ?>
                            <div class="blook-col blook-col-xs-6 blook-col-md-4">
                                <?php dynamic_sidebar('blook-footer-widget-2'); ?>
                            </div>
                        <?php endif; ?>
                    </div>
                </div><!--/blook-container-->
            </div><!--/blook-footer-widget-->
            
        <?php endif;
    }

endif;

add_action( 'blook_footer_widget_action','blook_footer_content_widget',10 );


if( !function_exists('blook_footer_copyright_text') ):

    function blook_footer_copyright_text(){ ?>

        <?php
        $footer_copyright_text = wp_kses_post(blook_get_option('footer_copyright_text'));
        echo esc_html__('Copyright ', 'blook') . '&copy ' . absint(date('Y')) . ' <a href="' . esc_url(home_url('/')) . '" title="' . esc_attr(get_bloginfo('name', 'display')) . '" ><span>' . esc_html( get_bloginfo( 'name', 'display' ) ) . '. </span></a> ' . esc_html( $footer_copyright_text );

        echo esc_html__(' | Theme: ', 'blook') . 'Blook ' . esc_html__('By ', 'blook') . '<a href="' . esc_url('https://www.themeinwp.com/theme/blook') . '"  title="' . esc_attr__('Themeinwp', 'blook') . '" target="_blank" rel="author"><span>' . esc_html__('Themeinwp. ', 'blook') . '</span></a>';
        echo esc_html__(' | Powered by ', 'blook') . '<a href="' . esc_url('https://wordpress.org') . '" title="' . esc_attr__('WordPress', 'blook') . '" target="_blank"><span>' . esc_html__('WordPress', 'blook') . '</span></a>';
        
        ?>
    <?php }

endif;

add_action( 'blook_footer_copyright_action','blook_footer_copyright_text',10 );


if( !function_exists('blook_footer_navigation_menu') ):

    function blook_footer_navigation_menu(){ 
        wp_nav_menu(
            array(
                'theme_location' => 'blook-footer-nav',
                'menu_id'        => 'footer-menu',
                'container' => 'div',
                'menu_class' => 'blook-footer-menu',
                'depth'     => '1',
            )
        );
    }

endif;

add_action( 'blook_footer_navigation_action','blook_footer_navigation_menu',10 );