<?php
/**
 * Implement theme front page grid section.
 *
 * @package Blook
 */

if (!function_exists('blook_front_page_component_2')):
    /**
     * Front/Page Style 1
     *
     * @since Blook 1.0.0
     *
     */
    function blook_front_page_component_2()
    { 
        if (1 != blook_get_option('enable_component_2')) {
            return null;
        }
        ?>
        <div class="blook-frontpage-layout-2-section blook-section-border">
            <div class="blook-container">
                <?php if (!empty(blook_get_option('blook_component_2_title'))) { ?>
                    <h2 class="blook-section-title blook-section-title-style-1"><span><?php echo esc_html(blook_get_option('blook_component_2_title')); ?></span></h2>
                <?php } ?>
                <div class="blook-row">
                    <div class="blook-col blook-col-lg-8 sticky-component-2">
                        <div class="blook-row">
                            <?php blook_front_page_component_2_post(); ?>
                        </div><!--.blook-row-->
                    </div>
                    <div class="blook-col blook-col-lg-4 sticky-component-2">
                        <div class="blook-ad-image-section">
                            <a <?php if(blook_get_option('component_2_add_target') == 1) { ?> target="_blank" <?php } ?> href="<?php echo esc_url(blook_get_option('component_2_add_url')); ?>">
                                <img src="<?php echo esc_url(blook_get_option('component_2_add_image')); ?>">
                            </a>
                        </div>
                    </div>
                </div>
            </div><!--.blook-container-->
        </div><!--.blook-frontpage-layout-2-section-->
   <?php }
endif;
add_action('blook_action_front_page_component_2', 'blook_front_page_component_2', 10);

if (!function_exists('blook_front_page_component_2_post')):
    /**
     * Front/Page Style 2
     *
     * @since Blook 1.0.0
     *
     */
   
    function blook_front_page_component_2_post(){
        $post_category = esc_attr(blook_get_option('select_category_for_component_2_section'));
        $number_of_post = absint(blook_get_option('number_of_post_on_component_2_section'));
        $image_url ='';
        $get_posts = blook_get_post_query($number_of_post, $post_category);
        
        if( $get_posts->have_posts() ) :
            while ($get_posts->have_posts()) : $get_posts->the_post();
                if (has_post_thumbnail()) {
                    $image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'medium_large');
                    $image_url = $image['0'];
                }
                
            ?>
            <div class="blook-col blook-col-xs-6">
                <div class="blook-post">
                    <div class="blook-image-section blook-image-with-content blook-image-250 blook-image-border-hover-effect">
                        <a href="<?php the_permalink(); ?>"></a>
                        <div class="blook-image bg-image" style="background-image:url('<?php echo esc_url($image_url); ?>')"></div>
                        <?php echo esc_attr(blook_get_post_format(get_the_ID())); ?> 
                     
                        <!-- rating-booster extention -->
                        <div class="blook-post-desc">
                            <?php if( class_exists( 'Booster_Extension_Class' )){
                                blook_post_rating();
                                blook_post_read_time();
                            }?>
                            <div class="blook-categories blook-categories-with-bg blook-categories-secondary-bg">
                                <?php blook_categories_as(); ?>   
                            </div>
                         
                        </div>
                    </div><!--blook-image-section-->

                    <div class="blook-post-desc blook-post-desc-center">
                        <div class="entry-meta blook-meta-tag blook-post-content-opacity blook-text-uppercase">
                            <?php
                                blook_posted_on();
                            ?>
                        </div><!-- .entry-meta -->
                      
                       
                        <h3 class="blook-post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                        <div class="blook-dashed blook-dashed-center"></div>
                        <div class="blook-social-share">
                            <?php if( class_exists( 'Booster_Extension_Class' )){
                                blook_social_share_option();  
                            }?>
                        </div>
                        
                        <div class="blook-excerpt blook-excerpt blook-limit-excerpt">
                            <?php the_excerpt(); ?>
                        </div>
                        <div class="blook-btn-section">
                            <a class="blook-btn blook-btn-style-1 blook-btn-rounded blook-btn-primary" href="<?php the_permalink();?>"><?php echo esc_html(blook_get_option('component_2_read_more')); ?><i class="ion ion-md-arrow-round-forward"></i></a>
                        </div>
                     
                    </div><!--blook-desc-->

                </div><!--/blook-post-->
            </div>

        <?php 
            endwhile;
        endif;
        wp_reset_postdata();
    }
endif;

