<?php
/**
 * Implement theme front page carousel section.
 *
 * @package Blook
 */

if (!function_exists('blook_front_page_component_3')):
    /**
     * Front/Page Style 3
     *
     * @since Blook 1.0.0
     *
     */
    function blook_front_page_component_3()
    { 
        if (1 != blook_get_option('enable_component_3')) {
            return null;
        }?>
        <div class="blook-frontpage-layout-3-section">
            <?php if (blook_get_option('component_3_section_layout') == 'blook-boxed-width-carousel-slider') {
                echo "<div class='blook-container'>";
            }?>
            
                <div class="<?php echo blook_get_option('component_3_section_layout'); ?>">
                    <?php blook_front_page_component_3_post(); ?>
                </div>
            <?php if (blook_get_option('component_3_section_layout') == 'blook-boxed-width-carousel-slider') {
                echo "</div>";
            }?>
            
        </div><!--.blook-frontpage-layout-3-section-->
   <?php }
endif;
add_action('blook_action_front_page_component_3', 'blook_front_page_component_3', 10);

if (!function_exists('blook_front_page_component_3_post')):
    /**
     * Front/Page Style 3
     *
     * @since Blook 1.0.0
     *
     */
   
    function blook_front_page_component_3_post(){
        $post_category = esc_attr(blook_get_option('select_category_for_component_3_section'));
        $number_of_post = absint(blook_get_option('number_of_post_on_component_3_section'));
        $image_url ='';
        $get_posts = blook_get_post_query($number_of_post, $post_category);
        
        if( $get_posts->have_posts() ) :
            while ($get_posts->have_posts()) : $get_posts->the_post();
                if (has_post_thumbnail()) {
                    $image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'medium_large');
                    $image_url = $image['0'];
                }
                
            ?>
            <div class="blook-post blook-post-style-3">
                <div class="blook-image-section blook-image-with-content blook-image-500 blook-image-hover-effect blook-image-zoom-in-effect blook-overlay">
                    <a href="<?php the_permalink(); ?>"></a>
                    <div class="blook-image bg-image" style="background-image:url('<?php echo esc_url($image_url); ?>')"></div>
                    <?php echo esc_attr(blook_get_post_format(get_the_ID())); ?>
                  
                    <div class="blook-post-desc">
                        <?php if( class_exists( 'Booster_Extension_Class' )){
                            blook_post_rating();
                            blook_post_read_time();
                        }?>
                        <div class="blook-categories blook-categories-with-bg blook-categories-primary-bg">
                            <?php blook_categories_as(); ?>       
                        </div>
                        <h3 class="blook-post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                        <div class="entry-meta blook-meta-tag">
                            <?php
                                blook_posted_by();
                                blook_posted_on();
                            ?>
                        </div><!-- .entry-meta -->
                        <?php  if (1 == blook_get_option('enable_component_3_description')) { ?>
                            <div class="blook-excerpt blook-limit-excerpt">
                                <?php the_excerpt(); ?>
                            </div>
                        <?php } ?>

                        <?php if( class_exists( 'Booster_Extension_Class' )){ ?>
                            <div class="blook-social-share">
                                <?php blook_social_share_option();  ?>
                            </div>
                        <?php }?>

                    </div><!--blook-desc-->
                </div><!--blook-image-section-->
            </div><!--/blook-post-->

        <?php 
            endwhile;
        endif;
        wp_reset_postdata();
    }
endif;

