<?php
/**
 * The header layout-1 for our theme
 *
 * This is the template that displays all of the <header> section and everything up until </header>
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Blook
 */

?>	
	<!-- Topbar Layout -->
	<?php $topbar_layout = blook_get_option('select_top_bar_layout'); ?>
	<div class="blook-topbar <?php echo $topbar_layout; ?>">
		<div class="blook-container blook-no-gap">
			<div class="blook-d-flex blook-wrapper">
				
				<?php
				if ((blook_get_option('select_offcanvas_location') == 'blook-off-top-bar')&& is_active_sidebar( 'off-canvas-sidebar' )) {
					blook_offcanvas();
				} 
					// offcanvas
					if( $topbar_layout == 'blook-topbar-layout-1' || $topbar_layout == 'blook-topbar-layout-2' ){

						blook_top_navigation(); 
					}
					// Tagged
					if( $topbar_layout == 'blook-topbar-layout-3' || $topbar_layout == 'blook-topbar-layout-4' ){
						blook_top_tages(); 
					}
					// Date
					if( $topbar_layout == 'blook-topbar-layout-1' || $topbar_layout == 'blook-topbar-layout-3' ){
						blook_todays_date();
					}
					// Social
					if( $topbar_layout == 'blook-topbar-layout-2' || $topbar_layout == 'blook-topbar-layout-4' ){
						blook_social();
					}
				
				?>
		

			</div>
		</div><!--/blook-container-fluid-->
	</div><!--/blook-top-bar-->
	
	<!-- Header Layout -->
	<?php $header_layout = blook_get_option('select_header_layout'); ?>
	<header id="masthead" class="site-header blook-header <?php echo $header_layout; ?>">
		<div class="blook-header-image bg-image blook-overlay blook-full-overlay" style="background-image:url(<?php echo esc_url(get_header_image()); ?>)"></div>
		<div class="blook-container">
			<div class="blook-d-flex blook-wrapper">
				<!-- blook logo -->
				<?php 
					if((blook_get_option('select_offcanvas_location') == 'blook-off-heading') && is_active_sidebar( 'off-canvas-sidebar' )){
						blook_offcanvas();
					}
					blook_logo(); 
					if( $header_layout == 'blook-header-layout-1' ){
						blook_search_bar();
					}
					if( $header_layout == 'blook-header-layout-2'){
						blook_ad_section();
					}
				?>
			</div>

		</div>
	</header><!-- #masthead -->

	<!-- blook navigation -->
	<div id="sticky-nav" class="sticky-nav" style="height:1px"></div>
	<?php $navbar_layout = blook_get_option('select_navbar_layout'); ?>
	<div id="blook-site-navbar" class="blook-navbar-section  <?php echo $navbar_layout;?>">
		<div class="blook-d-flex blook-wrapper">
			<div class="blook-menu-icon">
            	<button id='nav-menu-icon'><?php echo __('menu','blook');?><i class="ion ion-ios-list"></i></button>
			</div>
			<?php blook_primary_navigation(); ?>
			<div class="blook-site-feature">
				<?php if (blook_get_option('enable_site_mode_switcher_nav_section') == 1) { ?>

					<div class="blook-feature blook-mode navbar-day-mode">
						<button id="color-mode">
							<i class="ion ion-md-moon"></i>
							<span class="blook-tooltip dark-mode-caption"><?php esc_html_e( 'Dark Mode', 'blook' ); ?> </span>
							<span class="blook-tooltip light-mode-caption"><?php esc_html_e( 'Light Mode', 'blook' ); ?> </span>
						</button>
					</div>
				<?php } ?>
				<?php if (blook_get_option('enable_trending_on_nav_section') == 1) { ?>
					<div class="blook-feature blook-trending" href="#colophon"> 
						<button id="trending">
							<span class="blook-icon"><i class="ion ion-ios-flame"></i></span>
							<span class="blook-caption"><?php echo esc_html(blook_get_option('nav_trending_button_text'));?></span>
						</button>
					</div>
				<?php } ?>
				<?php if (blook_get_option('enable_subscription_on_nav_section') == 1) { ?>
					<div class="blook-feature blook-newsletter">
						<button id="newsletter">
							<i class="ion ion-md-mail"></i>
							<span class="blook-tooltip"><?php esc_html_e( 'Subscribe', 'blook' ); ?></span>
						</button>
					</div>
				<?php } ?>
				<?php 
					if( $navbar_layout == 'blook-navbar-layout-2'){
				?>
					<div class="blook-feature blook-search">
						<button id="navbar-search">
							<i class="ion ion-md-search"></i>
							<span class="blook-tooltip"><?php esc_html_e( 'Search', 'blook' ); ?></span>
						</button>
					</div>
				<?php } ?>
			</div>
		</div>
	</div>
	<div id="sticky-nav-trending-and-search">
	<!-- Trending Post List -->
	<?php if (blook_get_option('enable_trending_on_nav_section') == 1) { ?>
		<div class="blook-trending-post-section blook-d-none" id="trending-content">
			<div class="blook-container">
				<div class="blook-wrapper blook-box-shadow">
					<div class="blook-icon-section">
						<a href="javascript:void(0))" class="screen-reader-text trending-box-skip-start"></a>
						<button id="trending-close" class="blook-close-icon-style-1"><?php echo __('close','blook') ?><i class="ion ion-md-close"></i></button>
					</div>
					<div class="blook-title-section">
						<h2 class="blook-section-title blook-section-title-style-1"><span><?php echo esc_html(blook_get_option('nav_trending_section_title'));?></span></h2>
					</div>
					<div class="blook-post-list  blook-row">
						<?php blook_trending_post(); ?>
						
					</div>
					<a href="javascript:void(0))" class="screen-reader-text trending-box-skip-end"></a>
				</div>
			</div>
		</div>
	<?php } ?>
	<div class="blook-nav-search-content blook-d-none" id="search-content">
		<div class="blook-container">
			<div class="blook-wrapper blook-box-shadow">
				<div class="blook-icon-section">
					<button id="search-close" class="blook-close-icon-style-1"><?php echo __('close','blook') ?><i class="ion ion-md-close"></i></button>
				</div>
				<div class="blook-title-section">
					<h2 class="blook-section-title blook-section-title-style-1"><span><?php echo __('Search Field','blook') ?></span></h2>
				</div>
				<?php get_search_form(); ?>
			</div>
		</div>
	</div>
	
	<!-- Newsletter subscriber -->
	<?php if (blook_get_option('enable_subscription_on_nav_section') == 1) { ?>
		<div class="blook-newsletter-section blook-popup-section" id="newsletter-content" >
			<div class="blook-wrapper">
				
				<div class="blook-newsletter-post blook-d-flex">
					<div class="blook-image-section bg-image" style="background-image:url('<?php echo esc_url(blook_get_option('subscription_image_upload')); ?>');">
					</div>
					<div class="blook-desc">
						<a href="javascript:void(0))" class="screen-reader-text newsletter-skip-start"></a>
						<div class="blook-close">
							<button id="newsletter-close"><i class="ion ion-md-close"></i></button>
						</div>
						<h2> <?php echo esc_html(blook_get_option('mailchimp_subscription_title')); ?></h2>
						<?php $blook_subscription_shortcode = wp_kses_post(blook_get_option('mailchimp_subscription_shortcode'));
						echo do_shortcode($blook_subscription_shortcode); ?>
					</div>
				</div>
			</div>
			<a href="javascript:void(0))" class="screen-reader-text newsletter-skip-end-1"></a>
			<a href="javascript:void(0))" class="screen-reader-text newsletter-skip-end"></a>
		</div>
	<?php } ?>
