<?php
if( !function_exists('blook_sidebar_layout') ):

    // Sidebar Option 
    function blook_sidebar_layout( ){
        
        $sidebar_layout = array(
            'right-sidebar' => esc_html__('Content & Right Sidebar','blook'),
            'left-sidebar' => esc_html__('Left Sidebar & Content','blook'),
            'no-sidebar' => esc_html__('No Sidebar','blook'),
        );

        return $sidebar_layout;

    }

endif;

if( !function_exists( 'blook_sanitize_sidebar_option_meta' ) ) :

    // Sidebar Option Sanitize.
    function blook_sanitize_sidebar_option_meta( $blook_input ){

        $blook_sidebar_options = blook_sidebar_layout();
        if( array_key_exists( $blook_input,$blook_sidebar_options ) ){

            return $blook_input;

        }

        return;

    }

endif;


if ( ! function_exists( 'blook_posts_navigation' ) ) :
    /**
     * Posts navigation.
     *
     * @since 1.0.0
     */
    function blook_posts_navigation() {

        $pagination_type = blook_get_option( 'blook_pagination_layout' );

        switch ( $pagination_type ) {

            case 'next-prev':
                echo '<div class="blook-pagination blook-default-pagination">';
                    the_posts_navigation();
                echo '</div>';
            break;

            case 'numeric':
                echo '<div class="blook-pagination blook-pagination-numeric">';
                    the_posts_pagination(array(
                            'mid_size' => 4,
                            'prev_text'          => '<i class="ion ion-ios-arrow-back"></i><i class="ion ion-ios-arrow-back"></i>',
                            'next_text'          => '<i class="ion ion-ios-arrow-forward"></i><i class="ion ion-ios-arrow-forward"></i>',
                            'screen_reader_text' => '',
                        ));
                echo '</div>';
            break;

            default:
            break;
        }

    }
endif;

add_action( 'blook_action_posts_navigation', 'blook_posts_navigation' );

