<?php
/**
* Single Post Options.
*
* @package Archive
*/

$default = blook_get_default_theme_options();

$wp_customize->add_section( 'archive_post_setting',
	array(
	'title'      => esc_html__( 'Archive Post Settings', 'blook' ),
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_theme_option_panel',
	)
);


// Add Archive layout setting.
$wp_customize->add_setting('select_archive_layout',
    array(
        'default' => $default['select_archive_layout'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_select',
    )
);

$wp_customize->add_control(new Blook_Radio_Image_Control($wp_customize, 'select_archive_layout',
        array(
            'label' => esc_html__('Select Archive Layout', 'blook'),
            'section' => 'archive_post_setting',
            'choices' => array(
                '1' => esc_url(get_template_directory_uri() . '/assets/img/archive-layout-1.png'),
                '2' => esc_url(get_template_directory_uri() . '/assets/img/archive-layout-2.png'),
                '3' => esc_url(get_template_directory_uri() . '/assets/img/archive-layout-3.png'),
            ),
        )
    )
);


$wp_customize->add_setting('ed_post_author',
    array(
        'default' => $default['ed_post_author'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_post_author',
    array(
        'label' => esc_html__('Enable Posts Author', 'blook'),
        'section' => 'archive_post_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_post_date',
    array(
        'default' => $default['ed_post_date'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_post_date',
    array(
        'label' => esc_html__('Enable Posts Date', 'blook'),
        'section' => 'archive_post_setting',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting('ed_comment_count',
    array(
        'default' => $default['ed_comment_count'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_comment_count',
    array(
        'label' => esc_html__('Enable Comment Count', 'blook'),
        'section' => 'archive_post_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_post_category',
    array(
        'default' => $default['ed_post_category'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_post_category',
    array(
        'label' => esc_html__('Enable Posts Category', 'blook'),
        'section' => 'archive_post_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_post_type',
    array(
        'default' => $default['ed_post_type'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_post_type',
    array(
        'label' => esc_html__('Enable Posts Type', 'blook'),
        'section' => 'archive_post_setting',
        'type' => 'checkbox',
    )
);
if( class_exists( 'Booster_Extension_Class' )){
   $wp_customize->add_setting('ed_post_rating',
       array(
            'default'           => $default['ed_post_rating'],
           'capability' => 'edit_theme_options',
           'sanitize_callback' => 'blook_sanitize_checkbox',
       )
   );
   $wp_customize->add_control('ed_post_rating',
       array(
           'label' => esc_html__('Enable Posts Rating', 'blook'),
           'section' => 'archive_post_setting',
           'type' => 'checkbox',
       )
   ); 
   $wp_customize->add_setting('ed_post_read_time',
       array(
            'default'           => $default['ed_post_read_time'],
           'capability' => 'edit_theme_options',
           'sanitize_callback' => 'blook_sanitize_checkbox',
       )
   );
   $wp_customize->add_control('ed_post_read_time',
       array(
           'label' => esc_html__('Enable Posts Read Time', 'blook'),
           'section' => 'archive_post_setting',
           'type' => 'checkbox',
       )
   );
   $wp_customize->add_setting('ed_post_social_share',
       array(
            'default'           => $default['ed_post_social_share'],
           'capability' => 'edit_theme_options',
           'sanitize_callback' => 'blook_sanitize_checkbox',
       )
   );
   $wp_customize->add_control('ed_post_social_share',
       array(
           'label' => esc_html__('Enable Posts Sharing', 'blook'),
           'section' => 'archive_post_setting',
           'type' => 'checkbox',
       )
   );
}

$wp_customize->add_setting( 'post_read_more_button_text',
    array(
        'default'           => $default['post_read_more_button_text'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'post_read_more_button_text',
    array(
        'label'    => __( 'Read More Button Text', 'blook' ),
        'section'  => 'archive_post_setting',
        'type'     => 'text',
    )
);
