<?php
/**
* Breaking News Options.
*
* @package Blook
*/

$default = blook_get_default_theme_options();

$wp_customize->add_section( 'breaking_news_section',
	array(
	'title'      => esc_html__( 'Breaking news setting', 'blook' ),
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_theme_option_panel',
	)
);

$wp_customize->add_setting('enable_breaking_news_section',
    array(
        'default' => $default['enable_breaking_news_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_checkbox',
    )
);
$wp_customize->add_control('enable_breaking_news_section',
    array(
        'label' => esc_html__('Enable Breaking News', 'blook'),
        'section' => 'breaking_news_section',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting( 'blook_breaking_news_title',
    array(
        'default'           => $default['blook_breaking_news_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'blook_breaking_news_title',
    array(
        'label'    => __( 'Section Title Text', 'blook' ),
        'section'  => 'breaking_news_section',
        'type'     => 'text',
        'priority' => 100,
    )
);


// Setting - drop down category for recnet post section.
$wp_customize->add_setting( 'select_category_for_breaking_news_section',
    array(
        'default'           => $default['select_category_for_breaking_news_section'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control( new Blook_Dropdown_Taxonomies_Control( $wp_customize, 'select_category_for_breaking_news_section',
    array(
        'label'           => __( 'Category for Section', 'blook' ),
        'section'         => 'breaking_news_section',
        'type'            => 'dropdown-taxonomies',
        'taxonomy'        => 'category',
        'priority'        => 100,
    ) ) );

$wp_customize->add_setting( 'number_of_post_on_breaking_news_section',
    array(
        'default'           => $default['number_of_post_on_breaking_news_section'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_positive_integer',
    )
);
$wp_customize->add_control( 'number_of_post_on_breaking_news_section',
    array(
        'label'    => __( 'Select Number of Post to Display', 'blook' ),
        'section'  => 'breaking_news_section',
        'type'     => 'number',
        'priority' => 100,
        'input_attrs'     => array( 'min' => 5, 'max' => 12, 'style' => 'width: 150px;' ),

    )
);
