<?php 
/**
 * Option for site logo and tagline.
 *
 * @package Blook
 */

$default = blook_get_default_theme_options();


// Setting - show_selected_page_content_on_homepage.
$wp_customize->add_setting('show_selected_page_content_on_homepage',
    array(
        'default' => $default['show_selected_page_content_on_homepage'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_checkbox',
    )
);
$wp_customize->add_control('show_selected_page_content_on_homepage',
    array(
        'label' => esc_html__('Enable Static Page Content on Home/Front Page', 'blook'),
        'section' => 'static_front_page',
        'type' => 'checkbox',
        'priority' => 100,
		'active_callback' => 'blook_blog_section_callback',
    )
);

// Setting - show_latest_post_content_on_homepage.
$wp_customize->add_setting('show_latest_post_content_on_homepage',
    array(
        'default' => $default['show_latest_post_content_on_homepage'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_checkbox',
    )
);
$wp_customize->add_control('show_latest_post_content_on_homepage',
    array(
        'label' => esc_html__('Enable Latest Post on Home/Front Page', 'blook'),
        'section' => 'static_front_page',
        'type' => 'checkbox',
        'priority' => 100,
		'active_callback' => 'blook_homepage_section_callback',
    )
);

// Setting - enable_site_logo.
$wp_customize->add_setting( 'enable_site_logo',
	array(
		'default'           => $default['enable_site_logo'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'blook_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'enable_site_logo',
	array(
		'label'    => esc_html__( 'Enable Site Logo', 'blook' ),
		'section'  => 'title_tagline',
		'type'     => 'checkbox',
		'priority' => 8,
	)
);


// Setting - enable_site_title.
$wp_customize->add_setting( 'enable_site_title',
	array(
		'default'           => $default['enable_site_title'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'blook_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'enable_site_title',
	array(
		'label'    => esc_html__( 'Enable Site Title', 'blook' ),
		'section'  => 'title_tagline',
		'type'     => 'checkbox',
		'priority' => 10,
	)
);


// Setting - enable_site_tagline.
$wp_customize->add_setting( 'enable_site_tagline',
	array(
		'default'           => $default['enable_site_tagline'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'blook_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'enable_site_tagline',
	array(
		'label'    => esc_html__( 'Enable Site Tagline', 'blook' ),
		'section'  => 'title_tagline',
		'type'     => 'checkbox',
		'priority' => 10,
	)
);