<?php
/**
 * Customizer callback functions for active_callback.
 *
 * @package Blook
 */

/**
 * Customizer callback functions for page
 *
 * @package Telegram
 */

/*select page for slider*/
if ( ! function_exists( 'blook_homepage_section_callback' ) ) :

    /**
     * Check if slider section page/post is active.
     *
     * @since 1.0.0
     *
     * @param WP_Customize_Control $control WP_Customize_Control instance.
     *
     * @return bool Whether the control is active to the current preview.
     */
    function blook_homepage_section_callback( $control ) {

        if ('posts' == get_option('show_on_front')) {
            return true;
        } else {
            return false;
        }

    }

endif;

/**
 * Customizer callback functions for post page
 *
 * @package Telegram
 */

/*select page for slider*/
if ( ! function_exists( 'blook_blog_section_callback' ) ) :

    /**
     * Check if slider section page/post is active.
     *
     * @since 1.0.0
     *
     * @param WP_Customize_Control $control WP_Customize_Control instance.
     *
     * @return bool Whether the control is active to the current preview.
     */
    function blook_blog_section_callback( $control ) {

        if ('posts' != get_option('show_on_front')) {
            return true;
        } else {
            return false;
        }

    }

endif;

/*enable top bar*/
if (!function_exists('blook_topbar_section_status')) :

    /**
     * Check if slider section page/post is active.
     *
     * @since 1.0.0
     *
     * @param WP_Customize_Control $control WP_Customize_Control instance.
     *
     * @return bool Whether the control is active to the current preview.
     */
    function blook_topbar_section_status($control)
    {

        if (1 == $control->manager->get_setting('enable_topbar_section')->value()) {
            return true;
        } else {
            return false;
        }

    }

endif;
    
/*select top bar layout 1*/
if (!function_exists('blook_topbar_layout_1')) :

    /**
     * Check if slider section page/post is active.
     *
     * @since 1.0.0
     *
     * @param WP_Customize_Control $control WP_Customize_Control instance.
     *
     * @return bool Whether the control is active to the current preview.
     */
    function blook_topbar_layout_1($control)
    {

        if ('blook-topbar-layout-1' == $control->manager->get_setting('select_top_bar_layout')->value()) {
            return true;
        } else {
            return false;
        }

    }

endif;
    
/*select headerlayout 3*/
if (!function_exists('blook_header_layout_2')) :

    /**
     * Check if slider section page/post is active.
     *
     * @since 1.0.0
     *
     * @param WP_Customize_Control $control WP_Customize_Control instance.
     *
     * @return bool Whether the control is active to the current preview.
     */
    function blook_header_layout_2($control)
    {

        if ('blook-header-layout-2' == $control->manager->get_setting('select_header_layout')->value()) {
            return true;
        } else {
            return false;
        }

    }

endif;

/*select top trendong on nav layout*/
if (!function_exists('blook_trending_on_nav_section')) :

    /**
     * Check if slider section page/post is active.
     *
     * @since 1.0.0
     *
     * @param WP_Customize_Control $control WP_Customize_Control instance.
     *
     * @return bool Whether the control is active to the current preview.
     */
    function blook_trending_on_nav_section($control)
    {

        if ('1' == $control->manager->get_setting('enable_trending_on_nav_section')->value()) {
            return true;
        } else {
            return false;
        }

    }

endif;

/*select top subscription on nav layout*/
if (!function_exists('blook_subscription_on_nav_section')) :

    /**
     * Check if slider section page/post is active.
     *
     * @since 1.0.0
     *
     * @param WP_Customize_Control $control WP_Customize_Control instance.
     *
     * @return bool Whether the control is active to the current preview.
     */
    function blook_subscription_on_nav_section($control)
    {

        if ('1' == $control->manager->get_setting('enable_subscription_on_nav_section')->value()) {
            return true;
        } else {
            return false;
        }

    }

endif;

/*select top bar excerpt layout*/
if (!function_exists('blook_grid_post_excerpt')) :

    /**
     * Check if slider section page/post is active.
     *
     * @since 1.0.0
     *
     * @param WP_Customize_Control $control WP_Customize_Control instance.
     *
     * @return bool Whether the control is active to the current preview.
     */
    function blook_grid_post_excerpt($control)
    {

        if ('1' == $control->manager->get_setting('enable_grid_post_excerpt')->value()) {
            return true;
        } else {
            return false;
        }

    }

endif;