<?php
/**
 * Footer Section.
 *
 * @package Blook
 */

$default = blook_get_default_theme_options();

$wp_customize->add_section( 'footer_widget_area',
    array(
    'title'      => esc_html__( 'Footer Setting', 'blook' ),
    'priority'   => 200,
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_theme_option_panel',
    )
);

// Setting footer_bg_image.
$wp_customize->add_setting('footer_bg_image',
    array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_image',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control($wp_customize, 'footer_bg_image',
        array(
            'label'       => esc_html__('Footer Background Image', 'blook'),
            'description' => sprintf(esc_html__('Recommended Size %1$s px X %2$s px', 'blook'), 1200, 675),
            'section'     => 'footer_widget_area',
        )
    )
);

$wp_customize->add_setting( 'footer_column_layout',
    array(
    'default'           => $default['footer_column_layout'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'blook_sanitize_select',
    )
);
$wp_customize->add_control( 'footer_column_layout',
    array(
    'label'       => esc_html__( 'Top Footer Column Layout', 'blook' ),
    'section'     => 'footer_widget_area',
    'type'        => 'select',
    'choices'               => array(
        '1' => esc_html__( 'One Column', 'blook' ),
        '2' => esc_html__( 'Two Column', 'blook' ),
        '3' => esc_html__( 'Three Column', 'blook' ),
        ),
    )
);

$wp_customize->add_setting( 'footer_copyright_text',
    array(
    'default'           => $default['footer_copyright_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'footer_copyright_text',
    array(
    'label'    => esc_html__( 'Footer Copyright Text', 'blook' ),
    'section'  => 'footer_widget_area',
    'type'     => 'text',
    )
);