<?php
/**
* Global Options.
*
* @package Blook
*/

$default = blook_get_default_theme_options();

$wp_customize->add_panel('global_option_panel',
    array(
        'title' => esc_html__('Global Options', 'blook'),
        'priority' => 10,
        'capability' => 'edit_theme_options',
    )
);

$wp_customize->add_section( 'global_slider_arrow ',
    array(
    'title'      => esc_html__( 'Choose slider Arrow', 'blook' ),
    'priority'   => 200,
    'capability' => 'edit_theme_options',
    'panel'      => 'global_option_panel',
    )
);


$wp_customize->add_setting( 'choose_slider_arrow',
    array(
    'default'           => $default['choose_slider_arrow'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'blook_sanitize_select',
    )
);
$wp_customize->add_control( 'choose_slider_arrow',
    array(
    'label'       => esc_html__( 'Select Slider Arrow Layout', 'blook' ),
    'section'     => 'global_slider_arrow ',
    'type'        => 'select',
    'choices'     => array(
            'blook-slick-angle-right' => esc_html__('Slick Angle','blook'),
            'blook-slick-chevron-right' => esc_html__('Slick Chevron','blook'),
            'blook-slick-arrow-right' => esc_html__('Slick Simple','blook'),
            'blook-slick-long-arrow-right' => esc_html__('Slick Long Arrow','blook'),
            'blook-slick-caret-right' => esc_html__('Slick Caret','blook'),
        ),
    )
);