<?php
/**
 * Theme Front/Page Section.
 *
 * @package Blook component 3
 */

$default = blook_get_default_theme_options();

// component - 3 Section.
$wp_customize->add_section('conponent_3_setting_option',
    array(
        'title' => esc_html__('Carousel Layout', 'blook'),
        'capability' => 'edit_theme_options',
        'panel' => 'theme_front_page_panel',
    )
);

$wp_customize->add_setting('enable_component_3',
    array(
        'default' => $default['enable_component_3'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_checkbox',
    )
);

$wp_customize->add_control('enable_component_3',
    array(
        'label' => esc_html__('Enable Section', 'blook'),
        'section' => 'conponent_3_setting_option',
        'type' => 'checkbox',
        'priority' => 22,

    )
);
// section Layout Settings
$wp_customize->add_setting( 'component_3_section_layout',
    array(
    'default'           => $default['component_3_section_layout'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'blook_sanitize_select',
    )
);
$wp_customize->add_control( 'component_3_section_layout',
    array(
    'label'       => esc_html__( 'Choose Section layout', 'blook' ),
    'section'     => 'conponent_3_setting_option',
    'type'        => 'select',
    'choices'     => array(
        'blook-full-width-carousel-slider' => esc_html__('Full-Width Layout','blook'),
        'blook-boxed-width-carousel-slider' => esc_html__('Boxed Layout','blook'),
    ),
        'priority' => 22,

    )
);

// Setting - drop down category for recnet post section.
$wp_customize->add_setting( 'select_category_for_component_3_section',
    array(
        'default'           => $default['select_category_for_component_3_section'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control( new Blook_Dropdown_Taxonomies_Control( $wp_customize, 'select_category_for_component_3_section',
    array(
        'label'           => __( 'Category for Section', 'blook' ),
        'section'         => 'conponent_3_setting_option',
        'type'            => 'dropdown-taxonomies',
        'taxonomy'        => 'category',
        'priority'        => 100,
    ) ) );

$wp_customize->add_setting( 'number_of_post_on_component_3_section',
    array(
        'default'           => $default['number_of_post_on_component_3_section'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_positive_integer',
    )
);
$wp_customize->add_control( 'number_of_post_on_component_3_section',
    array(
        'label'    => __( 'Select Number of Post to Display', 'blook' ),
        'section'  => 'conponent_3_setting_option',
        'type'     => 'number',
        'priority' => 100,
        'input_attrs'     => array( 'min' => 5, 'max' => 12, 'style' => 'width: 150px;' ),

    )
);

$wp_customize->add_setting('enable_component_3_description',
    array(
        'default' => $default['enable_component_3_description'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_checkbox',
    )
);

$wp_customize->add_control('enable_component_3_description',
    array(
        'label' => esc_html__('Enable Description', 'blook'),
        'section' => 'conponent_3_setting_option',
        'type' => 'checkbox',
        'priority' => 100,

    )
);