<?php
/**
 * Theme Front/Page Section.
 *
 * @package Blook
 */

$default = blook_get_default_theme_options();

// Add Theme Front/Page Options Panel.

// component 5 Section.
$wp_customize->add_section('conponent_5_setting_option',
    array(
        'title' => esc_html__('2 Column With Slider', 'blook'),
        'capability' => 'edit_theme_options',
        'panel' => 'theme_front_page_panel',
    )
);

$wp_customize->add_setting('enable_component_5',
    array(
        'default' => $default['enable_component_5'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_checkbox',
    )
);

$wp_customize->add_control('enable_component_5',
    array(
        'label' => esc_html__('Enable Section', 'blook'),
        'section' => 'conponent_5_setting_option',
        'type' => 'checkbox',
        'priority' => 22,

    )
);

// Setting - drop down category for recnet post section.
$wp_customize->add_setting( 'select_category_for_slider_post_section',
    array(
        'default'           => $default['select_category_for_slider_post_section'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control( new Blook_Dropdown_Taxonomies_Control( $wp_customize, 'select_category_for_slider_post_section',
    array(
        'label'           => __( 'Category for Slider Post Section', 'blook' ),
        'description'     => __( 'Select category to be shown on Slider Post section on component 5 ', 'blook' ),
        'section'         => 'conponent_5_setting_option',
        'type'            => 'dropdown-taxonomies',
        'taxonomy'        => 'category',
        'priority'        => 100,
    ) ) );

$wp_customize->add_setting( 'number_of_slider_post_section',
    array(
        'default'           => $default['number_of_slider_post_section'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_positive_integer',
    )
);
$wp_customize->add_control( 'number_of_slider_post_section',
    array(
        'label'    => __( 'Select Post Number on Slider Post', 'blook' ),
        'section'  => 'conponent_5_setting_option',
        'type'     => 'number',
        'priority' => 100,
        'input_attrs'     => array( 'min' => 1, 'max' => 10, 'style' => 'width: 150px;' ),

    )
);

$wp_customize->add_setting( 'post_component_5_list_section_title',
    array(
        'default'           => $default['post_component_5_list_section_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'post_component_5_list_section_title',
    array(
        'label'    => __( 'List Post Section Title Text', 'blook' ),
        'section'  => 'conponent_5_setting_option',
        'type'     => 'text',
        'priority' => 100,
    )
);

// Setting - drop down category for list_post.
$wp_customize->add_setting( 'select_category_for_list_post',
    array(
        'default'           => $default['select_category_for_list_post'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control( new Blook_Dropdown_Taxonomies_Control( $wp_customize, 'select_category_for_list_post',
    array(
        'label'           => __( 'Category for List Post', 'blook' ),
        'description'     => __( 'Select category to be shown on List post of component 5 ', 'blook' ),
        'section'         => 'conponent_5_setting_option',
        'type'            => 'dropdown-taxonomies',
        'taxonomy'        => 'category',
        'priority'        => 100,

    ) ) );

/*No of list_post*/
$wp_customize->add_setting( 'number_of_home_list_post',
    array(
        'default'           => $default['number_of_home_list_post'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_positive_integer',
    )
);
$wp_customize->add_control( 'number_of_home_list_post',
    array(
        'label'    => __( 'Select Number of Post on List Post', 'blook' ),
        'section'  => 'conponent_5_setting_option',
        'type'     => 'number',
        'input_attrs'     => array( 'min' => 1, 'max' => 6, 'style' => 'width: 150px;' ),
        'priority' => 100,
    )
);
