<?php
/**
 * Pagination Settings
 *
 * @package Blook
 */

$default = blook_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'blook_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'blook' ),
	'capability' => 'edit_theme_options',
	'panel'		 => 'theme_theme_option_panel',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'blook_pagination_layout',
	array(
	'default'           => $default['blook_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'blook_sanitize_pagination',
	)
);
$wp_customize->add_control( 'blook_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'blook' ),
	'section'     => 'blook_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method (Default)','blook'),
		'numeric' => esc_html__('Numeric Method','blook'),
		// 'load-more' => esc_html__('Ajax Load More Button','blook'),
		// 'auto-load' => esc_html__('Ajax Auto Load','blook'),
	),
	)
);