<?php
/**
* Customizer Sanitize Function.
*
* @package Blook
*/

if( !function_exists( 'blook_sanitize_pagination' ) ) :

    // Sidebar Option Sanitize.
    function blook_sanitize_pagination( $blook_input ){

        $blook_single_pagination = array( 'next-prev','numeric','load-more','auto-load' );
        if( in_array( $blook_input,$blook_single_pagination ) ){

            return $blook_input;

        }

        return;

    }

endif;


if ( ! function_exists( 'blook_sanitize_select' ) ) :

    /**
     * Sanitize select.
     */
    function blook_sanitize_select( $blook_input, $blook_setting ) {

        // Ensure input is a slug.
        $blook_input = sanitize_text_field( $blook_input );

        // Get list of choices from the control associated with the setting.
        $choices = $blook_setting->manager->get_control( $blook_setting->id )->choices;

        // If the input is a valid key, return it; otherwise, return the default.
        return ( array_key_exists( $blook_input, $choices ) ? $blook_input : $blook_setting->default );

    }

endif;


if ( ! function_exists( 'blook_sanitize_checkbox' ) ) :

	/**
	 * Sanitize checkbox.
	 */
	function blook_sanitize_checkbox( $blook_checked ) {

		return ( ( isset( $blook_checked ) && true === $blook_checked ) ? true : false );

	}

endif;
