<?php
/**
 * Sidebar Section.
 *
 * @package Blook
 */

$default = blook_get_default_theme_options();
$blook_sidebar_layout = blook_sidebar_layout();

$wp_customize->add_section( 'sidebar_section ',
    array(
    'title'      => esc_html__( 'Sidebar Setting', 'blook' ),
    'priority'   => 200,
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_theme_option_panel',
    )
);

$wp_customize->add_setting( 'global_sidebar_layout_sidebar',
    array(
    'default'           => $default['global_sidebar_layout_sidebar'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'blook_sanitize_select',
    )
);
$wp_customize->add_control( 'global_sidebar_layout_sidebar',
    array(
    'label'       => esc_html__( 'Global Sidebar Layout', 'blook' ),
    'section'     => 'sidebar_section ',
    'type'        => 'select',
    'choices'     => array(
            'right-sidebar' => esc_html__('Content & Right Sidebar','blook'),
            'left-sidebar' => esc_html__('Left Sidebar & Content','blook'),
            'no-sidebar' => esc_html__('No Sidebar','blook'),
        ),
    )
);

$wp_customize->add_setting( 'single_post_sidebar',
    array(
    'default'           => $default['single_post_sidebar'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'blook_sanitize_select',
    )
);
$wp_customize->add_control( 'single_post_sidebar',
    array(
    'label'       => esc_html__( 'Global Single Post/Page Sidebar Layout', 'blook' ),
    'section'     => 'sidebar_section ',
    'type'        => 'select',
    'choices'     => array(
            'global-sidebar' => esc_html__('Global Sidebar','blook'),
            'right-sidebar' => esc_html__('Content & Right Sidebar','blook'),
            'left-sidebar' => esc_html__('Left Sidebar & Content','blook'),
            'no-sidebar' => esc_html__('No Sidebar','blook'),
        ),
    )
);