<?php
/**
 * Theme Social Icon Section.
 *
 * @package Blook
 */

$default = blook_get_default_theme_options();

$wp_customize->add_section( 'blook_social_section',
    array(
    'title'      => esc_html__( 'Setup Social Icon', 'blook' ),
    'capability' => 'edit_theme_options',
    'priority' => 20,
    'panel'      => 'theme_header_option_panel',
    )
);

// Soical facebook link
$wp_customize->add_setting('blook_fb_link',
    array(
        'sanitize_callback' => 'esc_url_raw',
        'capability' => 'edit_theme_options',
    )
);
$wp_customize->add_control('blook_fb_link',
    array(
        'label' => __('Facebook URL','blook'),
        'section' => 'blook_social_section',
        'type' => 'url',
    )
);

$wp_customize->add_setting('blook_fb_target',
    array(
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_checkbox',
    )
);
$wp_customize->add_control('blook_fb_target',
    array(
        'label' => esc_html__('Open facebook link in a new tab', 'blook'),
        'section' => 'blook_social_section',
        'type' => 'checkbox',
    )
);

// Soical Twitter link
$wp_customize->add_setting('blook_twt_link',
    array(
        'sanitize_callback' => 'esc_url_raw',
        'capability' => 'edit_theme_options',
    )
);
$wp_customize->add_control('blook_twt_link',
    array(
        'label' => __('Twitter URL','blook'),
        'section' => 'blook_social_section',
        'type' => 'url',
    )
);

$wp_customize->add_setting('blook_twt_target',
    array(
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_checkbox',
    )
);
$wp_customize->add_control('blook_twt_target',
    array(
        'label' => esc_html__('Open twitter link in a new tab', 'blook'),
        'section' => 'blook_social_section',
        'type' => 'checkbox',
    )
);

// Soical Linkedin link
$wp_customize->add_setting('blook_lnkd_link',
    array(
        'sanitize_callback' => 'esc_url_raw',
        'capability' => 'edit_theme_options',
    )
);
$wp_customize->add_control('blook_lnkd_link',
    array(
        'label' => __('Linkedin URL','blook'),
        'section' => 'blook_social_section',
        'type' => 'url',
    )
);

$wp_customize->add_setting('blook_lnkd_target',
    array(
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_checkbox',
    )
);
$wp_customize->add_control('blook_lnkd_target',
    array(
        'label' => esc_html__('Open linkedin link in a new tab', 'blook'),
        'section' => 'blook_social_section',
        'type' => 'checkbox',
    )
);

// Soical Instagram link
$wp_customize->add_setting('blook_insta_link',
    array(
        'sanitize_callback' => 'esc_url_raw',
        'capability' => 'edit_theme_options',
    )
);
$wp_customize->add_control('blook_insta_link',
    array(
        'label' => __('Instagram URL','blook'),
        'section' => 'blook_social_section',
        'type' => 'url',
    )
);

$wp_customize->add_setting('blook_insta_target',
    array(
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_checkbox',
    )
);
$wp_customize->add_control('blook_insta_target',
    array(
        'label' => esc_html__('Open instagram link in a new tab', 'blook'),
        'section' => 'blook_social_section',
        'type' => 'checkbox',
    )
);

// Soical youtube link
$wp_customize->add_setting('blook_youtube_link',
    array(
        'sanitize_callback' => 'esc_url_raw',
        'capability' => 'edit_theme_options',
    )
);
$wp_customize->add_control('blook_youtube_link',
    array(
        'label' => __('Youtube URL','blook'),
        'section' => 'blook_social_section',
        'type' => 'url',
    )
);

$wp_customize->add_setting('blook_youtube_target',
    array(
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_checkbox',
    )
);
$wp_customize->add_control('blook_youtube_target',
    array(
        'label' => esc_html__('Open youtube link in a new tab', 'blook'),
        'section' => 'blook_social_section',
        'type' => 'checkbox',
    )
);

// Soical Pintrest link
$wp_customize->add_setting('blook_pin_link',
    array(
        'sanitize_callback' => 'esc_url_raw',
        'capability' => 'edit_theme_options',
    )
);
$wp_customize->add_control('blook_pin_link',
    array(
        'label' => __('Pintrest URL','blook'),
        'section' => 'blook_social_section',
        'type' => 'url',
    )
);

$wp_customize->add_setting('blook_pin_target',
    array(
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_checkbox',
    )
);
$wp_customize->add_control('blook_pin_target',
    array(
        'label' => esc_html__('Open pintrest link in a new tab', 'blook'),
        'section' => 'blook_social_section',
        'type' => 'checkbox',
    )
);

// Soical Telegram link
$wp_customize->add_setting('blook_tele_link',
    array(
        'sanitize_callback' => 'esc_url_raw',
        'capability' => 'edit_theme_options',
    )
);
$wp_customize->add_control('blook_tele_link',
    array(
        'label' => __('Telegram URL','blook'),
        'section' => 'blook_social_section',
        'type' => 'url',
    )
);

$wp_customize->add_setting('blook_tele_target',
    array(
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'blook_sanitize_checkbox',
    )
);
$wp_customize->add_control('blook_tele_target',
    array(
        'label' => esc_html__('Open telegram link in a new tab', 'blook'),
        'section' => 'blook_social_section',
        'type' => 'checkbox',
    )
);


