<?php
/**
* Sidebar Metabox.
*
* @package Blook
*/
 
add_action( 'add_meta_boxes', 'blook_metabox' );

if( ! function_exists( 'blook_metabox' ) ):


    function  blook_metabox() {
        
        add_meta_box(
            'blook-custom-metabox',
            esc_html__( 'Layout Settings', 'blook' ),
            'blook_post_metafield_callback',
            'post', 
            'normal', 
            'high'
        );
        add_meta_box(
            'blook-custom-metabox',
            esc_html__( 'Layout Settings', 'blook' ),
            'blook_post_metafield_callback',
            'page',
            'normal', 
            'high'
        ); 
    }

endif;


$blook_post_layout_options = array(
    'global-layout' => esc_html__( 'Global Layout', 'blook' ),
    'layout-1' => esc_html__( 'Simple Layout', 'blook' ),
    'layout-2' => esc_html__( 'Banner Layout', 'blook' ),
);


/**
 * Callback function for post option.
*/
if( ! function_exists( 'blook_post_metafield_callback' ) ):
    
	function blook_post_metafield_callback() {
		global $post, $blook_post_layout_options;
        $post_type = get_post_type($post->ID);
		wp_nonce_field( basename( __FILE__ ), 'blook_post_meta_nonce' ); ?>
        
        <div class="metabox-main-block">

            <div class="metabox-navbar">
                <ul>

                    <li>
                        <a id="metabox-navbar-general" class="metabox-navbar-active" href="javascript:void(0)">

                            <?php esc_html_e('General Settings', 'blook'); ?>

                        </a>
                    </li>

                    <?php if( $post_type == 'post' && class_exists('Booster_Extension_Class') ): ?>
                        <li>
                            <a id="twp-tab-booster" href="javascript:void(0)">

                                <?php esc_html_e('Booster Extension Settings', 'blook'); ?>

                            </a>
                        </li>
                    <?php endif; ?>

                </ul>
            </div>

            <div class="twp-tab-content">

                <div id="metabox-navbar-general-content" class="metabox-content-wrap metabox-content-wrap-active">

                    <div class="metabox-opt-panel">

                        <h3 class="meta-opt-title"><?php esc_html_e('Sidebar Layout','blook'); ?></h3>

                        <div class="metabox-opt-wrap metabox-opt-wrap-alt">

                            <label><b><?php esc_html_e( 'Sidebar Layout','blook' ); ?></b></label>

                            <?php
                            $sidebar_layouts = blook_sidebar_layout();
                            $blook_post_sidebar = esc_html( get_post_meta( $post->ID, 'blook_post_sidebar_option', true ) ); 
                            if( $blook_post_sidebar == '' ){ $blook_post_sidebar = 'global-sidebar'; } ?>

                            <select name="blook_post_sidebar_option">
                                <option value="global-sidebar"><?php esc_html_e('Global Sidebar','blook'); ?></option>
                                <?php
                                foreach ( $sidebar_layouts as $key => $blook_post_sidebar_field ) { ?>
                                        <option <?php if( $blook_post_sidebar == $key ){ echo 'selected'; } ?> value="<?php echo esc_attr( $key ); ?>"><?php echo esc_html( $blook_post_sidebar_field );?></option>
                                <?php } ?>
                            </select>

                        </div>

                    </div>

                    <?php if( $post_type == 'post' ): ?>

                        <div class="metabox-opt-panel">

                            <h3 class="meta-opt-title"><?php esc_html_e('Feature Image Setting','blook'); ?></h3>

                                <?php
                                $blook_ed_feature_image = esc_html( get_post_meta( $post->ID, 'blook_ed_feature_image', true ) ); ?>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                    <input type="checkbox" id="blook-ed-feature-image" name="blook_ed_feature_image" value="1" <?php if( $blook_ed_feature_image ){ echo "checked='checked'";} ?>/>
                                    <label for="blook-ed-feature-image"><?php esc_html_e( 'Disable Feature Image','blook' ); ?></label>

                            </div>

                        </div>

                    <?php endif; ?>

                </div>

                <?php if( $post_type == 'post' && class_exists('Booster_Extension_Class') ):

                    
                    $blook_ed_post_views = get_post_meta( $post->ID, 'blook_ed_post_views', true );
                    $blook_ed_post_read_time = get_post_meta( $post->ID, 'blook_ed_post_read_time', true );
                    $blook_ed_post_like_dislike = get_post_meta( $post->ID, 'blook_ed_post_like_dislike', true );
                    $blook_ed_post_author_box = get_post_meta( $post->ID, 'blook_ed_post_author_box', true );
                    $blook_ed_post_social_share = get_post_meta( $post->ID, 'blook_ed_post_social_share', true );
                    $blook_ed_post_reaction = get_post_meta( $post->ID, 'blook_ed_post_reaction', true );
                    $blook_ed_post_rating = get_post_meta( $post->ID, 'blook_ed_post_rating', true );
                    ?>

                    <div id="twp-tab-booster-content" class="metabox-content-wrap">

                        <div class="metabox-opt-panel">

                            <h3 class="meta-opt-title"><?php esc_html_e('Booster Extension Plugin Content','blook'); ?></h3>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                    <input type="checkbox" id="blook-ed-post-views" name="blook_ed_post_views" value="1" <?php if( $blook_ed_post_views ){ echo "checked='checked'";} ?>/>
                                    <label for="blook-ed-post-views"><?php esc_html_e( 'Disable Post Views','blook' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                    <input type="checkbox" id="blook-ed-post-read-time" name="blook_ed_post_read_time" value="1" <?php if( $blook_ed_post_read_time ){ echo "checked='checked'";} ?>/>
                                    <label for="blook-ed-post-read-time"><?php esc_html_e( 'Disable Post Read Time','blook' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                    <input type="checkbox" id="blook-ed-post-like-dislike" name="blook_ed_post_like_dislike" value="1" <?php if( $blook_ed_post_like_dislike ){ echo "checked='checked'";} ?>/>
                                    <label for="blook-ed-post-like-dislike"><?php esc_html_e( 'Disable Post Like Dislike','blook' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                    <input type="checkbox" id="blook-ed-post-author-box" name="blook_ed_post_author_box" value="1" <?php if( $blook_ed_post_author_box ){ echo "checked='checked'";} ?>/>
                                    <label for="blook-ed-post-author-box"><?php esc_html_e( 'Disable Post Author Box','blook' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                    <input type="checkbox" id="blook-ed-post-social-share" name="blook_ed_post_social_share" value="1" <?php if( $blook_ed_post_social_share ){ echo "checked='checked'";} ?>/>
                                    <label for="blook-ed-post-social-share"><?php esc_html_e( 'Disable Post Social Share','blook' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                    <input type="checkbox" id="blook-ed-post-reaction" name="blook_ed_post_reaction" value="1" <?php if( $blook_ed_post_reaction ){ echo "checked='checked'";} ?>/>
                                    <label for="blook-ed-post-reaction"><?php esc_html_e( 'Disable Post Reaction','blook' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                    <input type="checkbox" id="blook-ed-post-rating" name="blook_ed_post_rating" value="1" <?php if( $blook_ed_post_rating ){ echo "checked='checked'";} ?>/>
                                    <label for="blook-ed-post-rating"><?php esc_html_e( 'Disable Post Rating','blook' ); ?></label>

                            </div>

                        </div>

                    </div>

                <?php endif; ?>
                
            </div>

        </div>  
            
    <?php }
endif;

// Save metabox value.
add_action( 'save_post', 'blook_save_post_meta' );

if( ! function_exists( 'blook_save_post_meta' ) ):

    function blook_save_post_meta( $post_id ) {

        global $post, $blook_post_layout_options;

        if ( !isset( $_POST[ 'blook_post_meta_nonce' ] ) || !wp_verify_nonce( sanitize_text_field( wp_unslash( $_POST['blook_post_meta_nonce'] ) ), basename( __FILE__ ) ) ){

            return;

        }

        if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ){

            return;

        }
            
        if ( 'page' == sanitize_text_field( wp_unslash( $_POST['post_type'] ) ) ) {  

            if ( !current_user_can( 'edit_page', $post_id ) ){  

                return $post_id;

            }

        }elseif( !current_user_can( 'edit_post', $post_id ) ) {

            return $post_id;

        }



        $blook_ed_feature_image_old = absint( get_post_meta( $post_id, 'blook_ed_feature_image', true ) ); 
        $blook_ed_feature_image_new = absint( wp_unslash( $_POST['blook_ed_feature_image'] ) );

        if ( $blook_ed_feature_image_new && $blook_ed_feature_image_new != $blook_ed_feature_image_old ){

            update_post_meta ( $post_id, 'blook_ed_feature_image', $blook_ed_feature_image_new );

        }elseif( '' == $blook_ed_feature_image_new && $blook_ed_feature_image_old ) {

            delete_post_meta( $post_id,'blook_ed_feature_image', $blook_ed_feature_image_old );

        }

        $twp_gradientcolor_type_old = absint( get_post_meta( $post_id, 'twp_gradientcolor_type', true ) ); 
        $twp_gradientcolor_type_new = absint( wp_unslash( $_POST['twp_gradientcolor_type'] ) );

        if ( $twp_gradientcolor_type_new && $twp_gradientcolor_type_new != $twp_gradientcolor_type_old ){

            update_post_meta ( $post_id, 'twp_gradientcolor_type', $twp_gradientcolor_type_new );

        }elseif( '' == $twp_gradientcolor_type_new && $twp_gradientcolor_type_old ) {

            delete_post_meta( $post_id,'twp_gradientcolor_type', $twp_gradientcolor_type_old );

        }

        $blook_ed_post_views_old = absint( get_post_meta( $post_id, 'blook_ed_post_views', true ) ); 
        $blook_ed_post_views_new = absint( wp_unslash( $_POST['blook_ed_post_views'] ) );

        if ( $blook_ed_post_views_new && $blook_ed_post_views_new != $blook_ed_post_views_old ){

            update_post_meta ( $post_id, 'blook_ed_post_views', $blook_ed_post_views_new );

        }elseif( '' == $blook_ed_post_views_new && $blook_ed_post_views_old ) {

            delete_post_meta( $post_id,'blook_ed_post_views', $blook_ed_post_views_old );

        }

        $blook_ed_post_read_time_old = absint( get_post_meta( $post_id, 'blook_ed_post_read_time', true ) ); 
        $blook_ed_post_read_time_new = absint( wp_unslash( $_POST['blook_ed_post_read_time'] ) );

        if ( $blook_ed_post_read_time_new && $blook_ed_post_read_time_new != $blook_ed_post_read_time_old ){

            update_post_meta ( $post_id, 'blook_ed_post_read_time', $blook_ed_post_read_time_new );

        }elseif( '' == $blook_ed_post_read_time_new && $blook_ed_post_read_time_old ) {

            delete_post_meta( $post_id,'blook_ed_post_read_time', $blook_ed_post_read_time_old );

        }

        $blook_ed_post_like_dislike_old = absint( get_post_meta( $post_id, 'blook_ed_post_like_dislike', true ) ); 
        $blook_ed_post_like_dislike_new = absint( wp_unslash( $_POST['blook_ed_post_like_dislike'] ) );

        if ( $blook_ed_post_like_dislike_new && $blook_ed_post_like_dislike_new != $blook_ed_post_like_dislike_old ){

            update_post_meta ( $post_id, 'blook_ed_post_like_dislike', $blook_ed_post_like_dislike_new );

        }elseif( '' == $blook_ed_post_like_dislike_new && $blook_ed_post_like_dislike_old ) {

            delete_post_meta( $post_id,'blook_ed_post_like_dislike', $blook_ed_post_like_dislike_old );

        }

        $blook_ed_post_author_box_old = absint( get_post_meta( $post_id, 'blook_ed_post_author_box', true ) ); 
        $blook_ed_post_author_box_new = absint( wp_unslash( $_POST['blook_ed_post_author_box'] ) );

        if ( $blook_ed_post_author_box_new && $blook_ed_post_author_box_new != $blook_ed_post_author_box_old ){

            update_post_meta ( $post_id, 'blook_ed_post_author_box', $blook_ed_post_author_box_new );

        }elseif( '' == $blook_ed_post_author_box_new && $blook_ed_post_author_box_old ) {

            delete_post_meta( $post_id,'blook_ed_post_author_box', $blook_ed_post_author_box_old );

        }

        $blook_ed_post_social_share_old = absint( get_post_meta( $post_id, 'blook_ed_post_social_share', true ) ); 
        $blook_ed_post_social_share_new = absint( wp_unslash( $_POST['blook_ed_post_social_share'] ) );

        if ( $blook_ed_post_social_share_new && $blook_ed_post_social_share_new != $blook_ed_post_social_share_old ){

            update_post_meta ( $post_id, 'blook_ed_post_social_share', $blook_ed_post_social_share_new );

        }elseif( '' == $blook_ed_post_social_share_new && $blook_ed_post_social_share_old ) {

            delete_post_meta( $post_id,'blook_ed_post_social_share', $blook_ed_post_social_share_old );

        }

        $blook_ed_post_reaction_old = absint( get_post_meta( $post_id, 'blook_ed_post_reaction', true ) ); 
        $blook_ed_post_reaction_new = absint( wp_unslash( $_POST['blook_ed_post_reaction'] ) );

        if ( $blook_ed_post_reaction_new && $blook_ed_post_reaction_new != $blook_ed_post_reaction_old ){

            update_post_meta ( $post_id, 'blook_ed_post_reaction', $blook_ed_post_reaction_new );

        }elseif( '' == $blook_ed_post_reaction_new && $blook_ed_post_reaction_old ) {

            delete_post_meta( $post_id,'blook_ed_post_reaction', $blook_ed_post_reaction_old );

        }

        $blook_ed_post_rating_old = absint( get_post_meta( $post_id, 'blook_ed_post_rating', true ) ); 
        $blook_ed_post_rating_new = absint( wp_unslash( $_POST['blook_ed_post_rating'] ) );

        if ( $blook_ed_post_rating_new && $blook_ed_post_rating_new != $blook_ed_post_rating_old ){

            update_post_meta ( $post_id, 'blook_ed_post_rating', $blook_ed_post_rating_new );

        }elseif( '' == $blook_ed_post_rating_new && $blook_ed_post_rating_old ) {

            delete_post_meta( $post_id,'blook_ed_post_rating', $blook_ed_post_rating_old );

        }

        $old = esc_html( get_post_meta( $post_id, 'blook_post_sidebar_option', true ) ); 
        $new = blook_sanitize_sidebar_option_meta( wp_unslash( $_POST['blook_post_sidebar_option'] ) );
        if ( $new && $new != $old ) {  
            update_post_meta ( $post_id, 'blook_post_sidebar_option', $new );  
        } elseif ( '' == $new && $old ) {  
            delete_post_meta( $post_id,'blook_post_sidebar_option', $old );  
        }

    }

endif;   