<?php
/**
 * The template for displaying related post on single posts
 *
 *
 * @package Blook
 */
if (!function_exists('blook_get_related_posts')) :
    /*
     * Function to get related posts
     */
    function blook_get_related_posts()
    {
        if (1 != blook_get_option('ed_related_post')) {
            return null;
        }
        global $post;
        $post_categories = get_the_category($post->ID); // get category object
        $category_ids = array(); // set an empty array
        $blook_related_post_number = 3;
        foreach ($post_categories as $post_category) {
            $category_ids[] = $post_category->term_id;
        }

        if (empty($category_ids)) return;

        $qargs = array(
            'posts_per_page' => $blook_related_post_number,
            'category__in' => $category_ids,
            'post__not_in' => array($post->ID),
            'order' => 'ASC',
            'orderby' => 'rand'
        );

        $related_posts = new WP_Query($qargs);// custom posts
        ?>
        <div class="blook-singel-related-post blook-section-border">
            <div class="blook-container">
                <h2 class="blook-section-title blook-section-title-style-1"><span><?php echo esc_html(blook_get_option( 'related_post_title' )); ?></span></h2>
                <div class="blook-row blook-post-list">
                    <?php while( $related_posts->have_posts() ):
                        $related_posts->the_post(); 
                        $image_url = '';
                        if (has_post_thumbnail()) {
                            $image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'medium_large');
                            $image_url = $image['0'];
                        }
                        ?>
        
                        <div class="blook-col blook-col-xs-6 blook-col-sm-4">
                            <div class="blook-post">
                                <div class="blook-image-section  blook-image-250 blook-image-border-hover-effect">
                                    <a href="<?php the_permalink(); ?>"></a>
                                    <div class="blook-image bg-image" style="background-image:url('<?php echo esc_url($image_url); ?>')"></div>
                                    <?php echo esc_attr(blook_get_post_format(get_the_ID())); ?>
                                </div><!--blook-image-section-->
                                    
                                <div class="blook-post-desc blook-post-desc-center--">
                                    <div class="blook-categories blook-categories-with-bg blook-categories-primary-bg">
                                        <?php blook_categories_as(); ?>       
                                    </div>
                                    <h3 class="blook-post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                    <div class="entry-meta blook-meta-tag">
                                        <?php
                                            blook_posted_by();
                                            blook_posted_on();
                                        ?>
                                    </div><!-- .entry-meta -->
                                    <div class="blook-excerpt blook-excerpt blook-limit-excerpt">
                                        <?php the_excerpt(); ?>
                                    </div>
                                </div><!--blook-desc-->
        
                            </div><!--/blook-post-->
                        </div>
                    <?php endwhile; wp_reset_postdata(); ?>
                </div>
            </div>
        </div>
        <?php
    }
endif;
add_action('blook_related_posts', 'blook_get_related_posts');
