<?php 
/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function blook_widgets_init() {
	register_sidebar(
		array(
			'name'          => esc_html__( 'Sidebar', 'blook' ),
			'id'            => 'sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'blook' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title">',
			'after_title'   => '</h2>',
		)
	);

	register_sidebar(
		array(
			'name'          => esc_html__( 'Off-Canvas Widget', 'blook' ),
			'id'            => 'off-canvas-sidebar',
			'description'   => esc_html__( 'Add widgets here.', 'blook' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title">',
			'after_title'   => '</h2>',
		)
	);

    $footer_column_layout = absint( blook_get_option('footer_column_layout'));
    for( $i = 0; $i < $footer_column_layout; $i++ ){
    	if( $i == 0 ){ $count = esc_html__('One','blook'); }
    	if( $i == 1 ){ $count = esc_html__('Two','blook'); }
    	if( $i == 2 ){ $count = esc_html__('Three','blook'); }

	    register_sidebar( array(
	        'name' => esc_html__('Footer Widget ', 'blook').$count,
	        'id' => 'blook-footer-widget-'.$i,
	        'description' => esc_html__('Add widgets here.', 'blook'),
	        'before_widget' => '<div id="%1$s" class="widget %2$s">',
	        'after_widget' => '</div>',
	        'before_title' => '<h2 class="widget-title">',
	        'after_title' => '</h2>',
	    ));
	}
}
add_action( 'widgets_init', 'blook_widgets_init' );
