<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Blook
 */

get_header();
?>
	<div class="site-content">
		<main id="primary" class="site-main">

			<?php if ( have_posts() ) : ?>

				<header class="page-header">
					<h1 class="page-title blook-section-title-style-1">
						<span>
							<?php
							/* translators: %s: search query. */
							printf( esc_html__( 'Search Results for: %s', 'blook' ), '<span>' . get_search_query() . '</span>' );
							?>
						</span>
					</h1>
				</header><!-- .page-header -->
				<div class="blook-archive-layout-<?php echo esc_attr(blook_get_option('select_archive_layout'));?>">
					<?php
					/* Start the Loop */
					while ( have_posts() ) :
						the_post();

						/**
						 * Run the loop for the search to output the results.
						 * If you want to overload this in a child theme then include a file
						 * called content-search.php and that will be used instead.
						 */
						get_template_part( 'template-parts/content', 'search' );

					endwhile;

					?>
				</div>
	
				<?php do_action('blook_action_posts_navigation');
			else :

				get_template_part( 'template-parts/content', 'none' );

			endif;
			?>

		</main><!-- #main -->
		<?php get_sidebar(); ?>
	</div>

<?php
get_footer();
