<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Blook
 */

get_header();
?>

	<?php do_action( 'blook_action_get_breadcrumb' ); ?>
	<div class="site-content">
		<main id="primary" class="site-main sticky-component-2">
	
			<?php
				while ( have_posts() ) :
					the_post();
					get_template_part( 'template-parts/content','single' );
				
				endwhile; // End of the loop.
			?>
	
		</main><!-- #main -->
		<?php get_sidebar(); ?>
	</div>

	<div class="blook-comment-with-next-post-section">
		<div class="blook-container">
			<div class="blook-wrapper">
				<?php
					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;
				?>
				<?php 
					$next_posts = get_next_post();
					$date_format = get_option('date_format');
					$post_categories = get_the_category($next_posts);
		
					if (!empty( $next_posts )): 
				?>
					<div class="blook-single-next-post blook-box-shadow">
						<div class="blook-post-nav-next">
							<a href="<?php echo esc_url( get_permalink( $next_posts->ID ) ); ?>">
								<span class="blook-caption"><?php echo esc_html__('Next Post','blook'); ?></span>
								<span class="blook-icon"><i class="ion ion-ios-arrow-forward"></i></span>
							</a>
						</div>
			
						<div class="blook-desc">
							<?php if ($post_categories) { ?>
								<div class="blook-categories block-categories-primary-color">
									<ul>
										<?php foreach ($post_categories as $post_category) { ?>
											<li>
												<a href="<?php echo esc_url(get_category_link($post_category)); ?>"><?php echo esc_html($post_category->name); ?></a>
											</li>
										<?php } ?>
									</ul>
								</div><!--/blook-categories-->
							<?php } ?>
			
							<h2 class="blook-post-title blook-post-title-lg">
								<a href="<?php echo esc_url( get_permalink( $next_posts->ID ) ); ?>"><?php echo esc_html( $next_posts->post_title ); ?></a>
							</h2>
			
							<div class="blook-meta-tag">
								<span class="byline entry-meta-author">
									<?php $author_id = get_post_field( 'post_author', $next_posts->ID ); ?>
									<span class="blook-author-image">
										<img src="<?php echo esc_url(get_avatar_url($author_id , array("size"=>50))); ?>">
									</span>
									<span class="blook-meta-caption">
										<?php the_author_meta( 'display_name', $author_id ); ?>
									</span>
								</span>
								<span class="entry-meta-date">
									<span class="blook-meta-icon"><i class="ion ion-md-calendar"></i></span>
									<span class="posted-on blook-meta-caption"><?php echo get_the_date($date_format, $next_posts->ID  ); ?></span>
								</span>
								
							</div>
								
							<p><?php echo esc_html( get_the_excerpt( $next_posts->ID ) ); ?></p>
				
							<div class="blook-image-section">
								<?php 
								if (!empty(get_the_post_thumbnail( $next_posts->ID , 'large' ))) { ?>
									<?php echo wp_kses_post(get_the_post_thumbnail( $next_posts->ID , 'large' )); ?>
								<?php } ?>
							</div>
			
						</div><!--/blook-desc-->
				
					</div><!--/blook-single-next-post-->
				<?php endif; ?>
			</div>
		</div>
	</div>
									
	<?php 
		/**
		 * Hook blook_related_posts
		 *
		 * @hooked blook_get_related_posts
		 */
		do_action('blook_related_posts'); 
	?>



	

<?php
get_footer();
