<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Blook
 */

?>

<?php
	$classes [] ='blook-archive-post';
	$classes [] ='blook-archive-post-style-'.esc_attr(blook_get_option('select_archive_layout'));
	if (blook_get_option('select_archive_layout') == 3 && blook_get_option('post_read_more_button_text') != '' ) {
		$classes []= 'blook-archive-post-with-btn';
	}
?>

<article id="post-<?php the_ID(); ?>" <?php post_class($classes); ?>>
	
	<div class="blook-image-section blook-image-with-content blook-image-border-hover-effect">
		<?php
			$image_url = '';
			if (has_post_thumbnail()) {
				$image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'medium_large');
				$image_url = $image['0'];
			}
		?>
		<a href="<?php the_permalink(); ?>"></a>
		<?php if (blook_get_option('ed_post_type') == 1) { 
			echo esc_attr(blook_get_post_format(get_the_ID())); 
		} ?>
		<div class="blook-image bg-image" style="background-image:url('<?php echo esc_url($image_url); ?>')"></div>
		<div class="blook-post-desc">
			<?php if( class_exists( 'Booster_Extension_Class' )){
				if (blook_get_option('ed_post_rating') == 1) { 
					blook_post_rating();
				}
				if (blook_get_option('ed_post_read_time') == 1) { 
					blook_post_read_time();
				}
			}?>
		</div>
	</div>
	<div class="blook-desc">
		
		<?php if (blook_get_option('ed_post_category') == 1) { ?>
			<div class="blook-categories blook-categories-with-seperator block-categories-secondary-color">
				<?php blook_categories_as(); ?>
			</div>
		<?php } ?>
		<header class="entry-header">
			<?php
				the_title( '<h3 class="entry-title blook-post-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );

			if ( 'post' === get_post_type() ) :
				?>
				<div class="entry-meta blook-meta-tag">
					<?php
					if (blook_get_option('ed_post_author') == 1) {
						blook_posted_by();
					}
					if (blook_get_option('ed_post_date') == 1) {
						blook_posted_on();
					}
					if (blook_get_option('ed_comment_count') == 1) {
						blook_comment_count(get_the_ID());
					}
					?>
				</div><!-- .entry-meta -->
			<?php endif; ?>
		</header><!-- .entry-header -->
		<?php if (blook_get_option('select_archive_layout') == 1 || blook_get_option('select_archive_layout') == 3	){ ?>
			<div class="blook-excerpt">
				<?php the_excerpt(); ?>
			</div>
				<?php if( class_exists( 'Booster_Extension_Class' ) && blook_get_option('ed_post_social_share') == 1){ ?>
					<div class="blook-social-share">
						<?php blook_social_share_option(); ?>
					</div>
				<?php }?>
		<?php } ?>
	</div>
	<?php if (blook_get_option('select_archive_layout') == 2) { ?>
		<div class="blook-excerpt">
			<?php the_excerpt(); ?>
			<?php if( class_exists( 'Booster_Extension_Class' ) && blook_get_option('ed_post_social_share') == 1){ ?>
				<div class="blook-social-share">
					<?php blook_social_share_option();  ?>
				</div>
			<?php }?>
		</div>
	<?php } ?>
	<?php if (!empty(blook_get_option('post_read_more_button_text'))) { ?>
		<div class="blook-btn-section">
			<span class="blook-read-more-btn">
				<a href="<?php the_permalink(); ?>" ><?php echo esc_html(blook_get_option('post_read_more_button_text')); ?><i class="ion ion-md-arrow-forward"></i></a>
			</span>
		</div>
	<?php } ?>
	
</article><!-- #post-<?php the_ID(); ?> -->
