<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Blook
 */
if( class_exists( 'Booster_Extension_Class' )) {
	blook_disable_post_views();
	blook_disable_post_read_time();
	blook_disable_post_like_dislike();
}
?>
<!-- Post navigation -->

<?php if (blook_get_option('ed_floating_next_previous_nav') == 1) { ?>
	<?php
		$previous_post = get_previous_post();
		if ( ! empty( $previous_post ) ): 
	?>
		<div class="blook-post-nav blook-post-nav-prev">
			
			<div class="blook-arrow-section">
				<i class="ion ion-ios-arrow-round-back"></i>
			</div>
		
			<div class="blook-post-nav-post">
			
				<div class="blook-image-section">
					<?php 
					$image_url = '';
						if (!empty(get_the_post_thumbnail( $previous_post->ID , 'thumbnail' ))) { 
							$image = wp_get_attachment_image_src(get_post_thumbnail_id($previous_post->ID), 'thumbnail');
							$image_url = $image['0'];
						}
					?>
					<a href="<?php echo esc_url( get_permalink( $previous_post->ID ) ); ?>"></a>
					<div class="blook-image bg-image" style="background-image:url('<?php echo esc_url($image_url); ?>')"></div>
				</div>
				<div class="blook-desc">
					<h4 class="blook-post-title blook-post-title-xs">
						<a href="<?php echo esc_url( get_permalink( $previous_post->ID ) ); ?>">
							<?php echo esc_html( $previous_post->post_title ); ?>
						</a>
					</h4>
				</div>
			</div><!--blook-post-nav-post-->

		</div><!--/blook-post-nav-prev-->
	<?php endif;  ?>

	<?php
		$next_post = get_next_post();
		if ( ! empty( $next_post ) ): 
	?>
		<div class="blook-post-nav blook-post-nav-next">
			<div class="blook-arrow-section">
				<i class="ion ion-ios-arrow-round-forward"></i>
			</div>
		
			<div class="blook-post-nav-post">
				<div class="blook-desc">
					<h4 class="blook-post-title blook-post-title-xs">
						<a href="<?php echo esc_url( get_permalink( $next_post->ID ) ); ?>">
							<?php echo esc_html( $next_post->post_title ); ?>
						</a>
					</h4>
				</div>

				<div class="blook-image-section">
					<?php 
						if (!empty(get_the_post_thumbnail( $next_post->ID , 'thumbnail' ))) { 
							$image = wp_get_attachment_image_src(get_post_thumbnail_id($next_post->ID), 'thumbnail');
							$image_url = $image['0'];
						}
					?>
					<a href="<?php echo esc_url( get_permalink( $next_post->ID ) ); ?>"></a>
					<div class="blook-image bg-image" style="background-image:url('<?php echo esc_url($image_url); ?>')"></div>
				</div>
				
			</div><!--blook-post-nav-post-->

		</div><!--/blook-post-nav-next-->
	<?php endif; ?>
<?php } ?>

<!-- Single Banner  -->
<div  class="blook-single-banner-section">
	<?php 
		if (has_post_thumbnail()) {
			$thumb = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'full');
			$url = $thumb['0'];
		}else {
			$url = '';
		}
	?>

	<?php if( !function_exists('blook_single_post_heading_content') ):
	    function blook_single_post_heading_content(){ ?>
	    	<div class="blook-desc">
	    		<div class="blook-categories blook-categories-with-bg blook-categories-primary-bg">
	    			<?php blook_categories_as(); ?>
	    		</div>
	    		<header class="entry-header">
	    			<?php
	    			if ( is_singular() ) :
	    				the_title( '<h1 class="entry-title">', '</h1>' );
	    			else :
	    				the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
	    			endif;
	    			?>
	    		</header><!-- .entry-header -->
	    		<?php if ( 'post' === get_post_type() ) : ?>
	    			<div class="entry-meta blook-meta-tag">
	    				<?php
	    					blook_posted_by();
	    					blook_posted_on();
	    				?>
	    			</div><!-- .entry-meta -->
	    		<?php endif; ?>
	    	</div>
	    <?php }
	endif; ?>

	<?php 
	$blook_single_post_feature_image = esc_html( get_post_meta( $post->ID, 'blook_ed_feature_image', true ) );
	if ($blook_single_post_feature_image == 1) {
		blook_single_post_heading_content();
	} else { ?>
		<div class="blook-image-section blook-image-with-content blook-overlay">
			<div class="blook-image bg-image" style="background-image:url('<?php echo esc_url($url); ?>')"></div>
			<?php blook_single_post_heading_content(); ?>
		</div><!--/blook-image-section-->
	<?php } ?>
</div><!--/blook-single-banner-section-->

<article id="post-<?php the_ID(); ?>" <?php post_class("blook-single-post"); ?>>
	<div class="entry-content">
		<?php
		the_content(
			sprintf(
				wp_kses(
					/* translators: %s: Name of current post. Only visible to screen readers */
					__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'blook' ),
					array(
						'span' => array(
							'class' => array(),
						),
					)
				),
				wp_kses_post( get_the_title() )
			)
		);

		wp_link_pages(
			array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'blook' ),
				'after'  => '</div>',
			)
		);
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php blook_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-<?php the_ID(); ?> -->

